package com.example.happy_bird;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.image.*;
import javafx.scene.layout.*;
import javafx.scene.paint.*;
import javafx.stage.Stage;

import java.io.IOException;

public class HappyBirdMain extends Application {

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage stage) throws IOException {
        /*FXMLLoader fxmlLoader = new FXMLLoader(HelloApplication.class.getResource("happyBird.fxml"));
        Scene scene = new Scene(fxmlLoader.load(), 800, 700);
        stage.setTitle("HappyBird");
        stage.setScene(scene);
        stage.show();*/

        StackPane stackPane = new StackPane();

        Scene scene = new Scene(stackPane, 800, 700);
        stage.setTitle("Happy Bird");
        stage.setScene(scene);
        Image image = new Image("file:src/main/resources/com/example/happy_bird/pics/Background.png");
        BackgroundImage backgroundImageImg = new BackgroundImage(
                image,
                BackgroundRepeat.NO_REPEAT,
                BackgroundRepeat.NO_REPEAT,
                BackgroundPosition.DEFAULT,
                BackgroundSize.DEFAULT
        );

        Background background = new Background(backgroundImageImg);
        stackPane.setBackground(background);
        
        stage.show();
    }
}
